summaryrefslogtreecommitdiffstats
path: root/development/sbt/sbt.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/sbt/sbt.SlackBuild')
-rw-r--r--development/sbt/sbt.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/development/sbt/sbt.SlackBuild b/development/sbt/sbt.SlackBuild
index e79b74c7e0..844dd4883f 100644
--- a/development/sbt/sbt.SlackBuild
+++ b/development/sbt/sbt.SlackBuild
@@ -25,12 +25,12 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=sbt
-VERSION=${VERSION:-1.6.2}
+VERSION=${VERSION:-1.9.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-ARCH=noarch
+ARCH=x86_64
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -66,6 +66,9 @@ chmod 755 $PKG/usr/bin/sbt
cat $CWD/sbtn.sh > $PKG/usr/bin/sbtn
chmod 755 $PKG/usr/bin/sbtn
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/etc/sbt
cp sbt/conf/sbtopts sbt/conf/sbtconfig.txt $PKG/etc/sbt/
chmod 644 $PKG/etc/sbt/sbtopts